local AddName, AddonTable = ...
local L = AddonTable.L

AddonTable.BossArmor = {
	-- Karazhan
	[16152] = {7500}, -- Attunment the Huntsman
	[16151] = {7684}, -- Midnight
	[16457] = {6193}, -- Maiden of Virtue
	[15691] = {6193}, -- The Curator
	[16524] = {3878}, -- Shade of Aran
	[15688] = {6792}, -- Terestian Illhoof
	[17229] = {3427}, -- Kil'Rek
	[17225] = {7684}, -- Nightbane
	[15689] = {5474}, -- Netherspite
	[15690] = {7684}, -- Prince Malchezaar
	[17534] = {6193}, -- Julianne
	[17533] = {7684}, -- Romulo
	[17543] = {7387}, -- Strawman
	[17547] = {10387}, -- Thinhead
	[17546] = {7387}, -- Roar
	[17535] = {6193}, -- Dorothee
	[17548] = {6792}, -- Tito
	[18168] = {6193}, -- The Crone
	[17521] = {7684}, -- The Big Bad Wolf
	-- Gruul's Lair
	[18831] = {7684}, -- High King Maulgar
	[19044] = {7684}, -- Gruul the Dragonkiller
	-- Magtheridon's Lair
	[17257] = {7685}, -- Magtheridon
	-- Serpentshrine Cavern
	[21216] = {7685}, -- Hydross the Unstable
	[21217] = {7684}, -- The Lurker Below
	[21215] = {7685}, -- Leotheras the Blind, Human Form
	[21845] = {7685}, -- Leotheras the Blind, Demon Form
	[21214] = {6193}, -- Fathom-Lord Karathress
	[21213] = {7684}, -- Morogrim Tidewalker
	[21212] = {6193}, -- Lady Vashj
	-- Tempest Keep
	[19516] = {8800}, -- Void Reaver
	[18805] = {6193}, -- High Astromancer Solarian
	[19514] = {7684}, -- Al'ar
	[19622] = {6193}, --Kael'thas Sunstrider	
	[24664] = {6193}, --Kael'thas Sunstrider
	-- Zul'Aman
	[23576] = {7200}, -- Nalorakk
	[23574] = {7700}, -- Akil'zon
	[23578] = {7700}, -- Jan'alai
	[24144] = {6900}, -- Halazzi Phase 1
	[23577] = {7100}, -- Halazzi Phase 2
	[24239] = {6200}, -- Hex Lord Malacrass
	[23863] = {7700}, -- Zul'jin
	-- Hyjal Summit
	[17767] = {6193}, -- Rage Winterchill
	[17808] = {6193}, -- Anetheron
	[17888] = {6193}, -- Kaz'rogal
	[17842] = {6193}, -- Azgalor
	[17968] = {6193}, -- Archimonde
	-- Black Temple
	[22887] = {7684}, -- High Warlord Naj'entus
	[22898] = {7684}, -- Supremus
	[22841] = {7684}, -- Shade of Akama
	[22871] = {6194}, -- Teron Gorefiend
	[22948] = {7684}, -- Gurtogg Bloodboil
	[23418] = {0},	  -- Essence of Suffering
	[23419] = {7684}, -- Essence of Desire
	[23420] = {7684}, -- Essence of Anger
	[22947] = {6193}, -- Mother Shahraz
	-- Target Dummys for simulation purposes
	[177659] = {7685}, -- Boss Dummys
	[176443] = {5474}, -- Dummy
}

AddonTable.ArmorDebuffs = {
	SunderArmor = {
		[7386] = {90}, -- Sunder Armor Rank 1
		[7405] = {180}, -- Sunder Armor Rank 2
		[8380] = {270}, -- Sunder Armor Rank 3
		[11596] = {360}, -- Sunder Armor Rank 4
		[11597] = {450}, -- Sunder Armor Rank 5
		[25225] = {520}, -- Sunder Armor Rank 6
	},
	ExposeArmor = {
		[8647] = {400}, -- Expose Armor Rank 1
		[8649] = {725}, -- Expose Armor Rank 2
		[8650] = {1050}, -- Expose Armor Rank 3
		[11197] = {1375}, -- Expose Armor Rank 4
		[11198] = {1700}, -- Expose Armor Rank 5
		[26866] = {2050}, -- Expose Armor Rank 6
	},
	FaerieFire = {
		[770] = {175}, -- Faerie Fire Rank 1
		[778] = {285}, -- Faerie Fire Rank 2
		[9749] = {395}, -- Faerie Fire Rank 3
		[9907] = {505}, -- Faerie Fire Rank 4
		[26993] = {610}, -- Faerie Fire Rank 5
	},
	CurseOfReck = {
		[704] = {140}, -- Curse of Recklessness Rank 1
		[7658] = {290}, -- Curse of Recklessness Rank 2
		[7659] = {465}, -- Curse of Recklessness Rank 3
		[11717] = {640}, -- Curse of Recklessness Rank 4
		[27226] = {800}, -- Curse of Recklessness Rank 5	
	},
}